(message "Starting ERC IRC Client")
(require 'erc)

(setq erc-autojoin-channels-alist
; Uni Erlangen / IRCnet
	  '(("uni-erlangen.de"
		 "#faui2k9"
		 "#fau-kiosk"
		 "#fau"
		 "#vamos"
		 "#faui2k10"
		 "#faui2k6"
		 "#hallowelt")
; OFTC
		("oftc.net"
		 "#debian-devel-changes"
		 "#debian-games"
		 "#debian-devel"
		 "#debian-release"
		 "#debian-buildd"
		 "#debian-ftp"
		 "#debian-newmaint"
		 "#debian-mentors"
		 "#debian.de"
		 "#debian-devel.de"
		 "#debian-muc"
		 "#debian-python"
		 "#debian-kbsd"
		 "#debian-mentors")
; Freenode
		("freenode.net"
		 "#unknown-horizons"
		 "#fife"
		 "#lisp"
		 "#parpg"
		 "#freedesktop-games"
		 "#stk"
		 "#warzone2100-dev"
		 "#supertux"
		 "#openwrt"
		 "#glou")))

(setq erc-modules
      '(netsplit
		fill
		button
		match
		track
		completion
		readonly
		networks
		ring
		autojoin
		noncommands
		irccontrols
		move-to-prompt
		stamp
		menu
		list
		log
		scrolltobottom
		highlight-nicknames
		keep-place))

(erc-autojoin-mode 1)

(setq erc-log-insert-log-on-open nil
	  erc-log-channels t
	  erc-log-channels-directory "~/.irclogs/"
	  erc-save-buffer-on-part t
	  erc-hide-timestamps nil
	  erc-fill-column 200
	  erc-user-full-name "Christoph Egger")

;; Regularly save stuff
(add-hook 'erc-insert-post-hook 'erc-save-buffer-in-logs)

