(message "General emacs setup")

(tool-bar-mode -1)
(setq inhibit-startup-message t)

;; Indentation
(setq tab-width 4)
(setq-default tab-width 4)
(setq-default indent-tabs-mode t)
(setq mail-user-agent 'sendmail-user-agent)
;; Insert stuff at cursor position not at mouse position
;(setq mouse-yank-at-point t)

;; Emacs autobrabel configuration goes into extra file

;; More uniq, parsable buffer names
(require 'uniquify)
(setq uniquify-buffer-name-style 'post-forward)

(require 'auto-complete)

(require 'magit)

;; Ido mode
(require 'ido)
(ido-mode t)

;; Reindenting the whole buffer
(defun iwb ()
  "indent whole buffer"
  (interactive)
  (delete-trailing-whitespace)
  (indent-region (point-min) (point-max) nil)
  (untabify (point-min) (point-max)))

(global-linum-mode 1)
(setq linum-format "%3d")

;; Some file extensions autoloading
(add-to-list 'auto-mode-alist '("\\.mdn$" . markdown-mode))

(setq browse-url-generic-program (executable-find "conkeror")
	  browse-url-browser-function 'browse-url-generic)

(global-set-key (kbd "C-x d") 'dired)

(set-input-method "german-postfix")

(winner-mode)

(defun paste-x-selection ()
  (interactive)
  (let ((x-select-enable-primary t)
        (x-select-enable-clipboard nil))
    (yank)))
(global-set-key (kbd "<XF86Paste>") 'paste-x-selection)
(global-set-key (kbd "C-S-<insert>") 'paste-x-selection)

(require 'dired-narrow)
(define-key dired-mode-map "/" 'dired-narrow)
